<?php

defined('ABSPATH') or die('This page may not be accessed directly.');

class CuttrUtils
{
    public static function canModifySettings()
    {
        return self::isUserAdmin();
    }

    public static function isUserAdmin()
    {
        return current_user_can('activate_plugins');
    }

    public static function canSendNotifications()
    {
        return current_user_can('publish_posts');
    }

    public static function decodeEntities($text)
    {
        return html_entity_decode($text, ENT_QUOTES, 'UTF-8');
    }

    public static function maskApiKey($apiKey)
    {
        if (empty($apiKey)) {
            return '';
        }

        return str_repeat('*', strlen($apiKey) - 4).substr($apiKey, -4);
    }
}
